

.wMemberStatus__card {
    padding: 24px;
    border-radius: 10px;
    margin-bottom: 24px;
}

@media (min-width: 576px) {
    .wMemberStatus__card {
        display: grid;
        column-gap: 24px;
        grid-template-columns: minmax(40px, auto) 1fr;
    }
}

.wMemberStatus__card-active {
    background-color: #ffffff;
}

.wMemberStatus__card-expiring {
    background-color: #FFF7E5;
}

.wMemberStatus__card-warning {
    background-color: var(--saColorOrangeLight);
}

.wMemberStatus__card-blue {
    background-color: var(--saColorLightBlue);
}

.wMemberStatus__card-expired {
    background-color: #FDF1ED;
}

.wMemberStatus__card-info {
    background-color: var(--saColorDodgerBlueLight);
}

.wMemberStatus__icon-wrapper {
}

.wMemberStatus__icon {
    width: 40px;
    height: 40px;
    padding: 10px;
    border-radius: 100%;
    border-width: 1px;
    border-style: solid;
    justify-content: center;
    align-items: center;
    display: inline-flex;
    margin-bottom: 1em;
    font-size: 20px;
}

.wMemberStatus__icon-active {
    color: var(--saColorSecondaryGreen700);
    background-color: var(--saColorSuccess50);
    border-color: var(--saColorSecondaryGreen700);
}

.wMemberStatus__icon-expiring {
    background-color: var(--saColorLightBlue);
    color: var(--saColorBrandBlue);
    border-color: var(--saColorBrandBlue);
}

.wMemberStatus__icon-blue {
    background-color: var(--saColorLightBlue);
    color: var(--saColorBrandBlue);
    border-color: var(--saColorBrandBlue);
}

.wMemberStatus__icon-expired {
    color: var(--saColorError600);
    background-color: var(--saColorError100);
    border-color: var(--saColorError600);
}

.wMemberStatus__icon-info-light {
    background-color: var(--saColorSecondaryBlue100);
    color: var(--saColorSecondaryBlue600);
    border-color: var(--saColorSecondaryBlue600);
}

.wMemberStatus__pill .badge {
    font-size: 12px;
    margin-bottom: 8px;
}

.text-bg-active {
    background-color: var(--saColorSuccess50);
    color: var(--saColorSuccess600);
    border: 1px solid var(--saColorSuccess600);
    line-height: 1;
    display: flex;
    align-items: center;
}

    .text-bg-active .marker {
        border-radius: 50%;
        background-color: var(--saColorSuccess700);
        width: 12px;
        height: 12px;
        margin-right: 4px;
    }

.text-bg-expiring {
    background-color: #FFF7E5;
    color: var(--saColorWarning600);
    border: 1px solid var(--saColorWarning600);
    line-height: 1;
    display: flex;
    align-items: center;
     
}

    .text-bg-expiring .marker {
        border-radius: 50%;
        background-color: var(--saColorWarning600);
        width: 12px;
        height: 12px;
        margin-right: 4px;
    }

.text-bg-expired {
    background-color: #FDF1ED;
    color: var(--saColorError600);
    border: 1px solid var(--saColorError600);
    line-height: 1;
    display: flex;
    align-items: center;
}

    .text-bg-expired .marker {
        border-radius: 50%;
        background-color: var(--saColorError600);
        width: 12px;
        height: 12px;
        margin-right: 4px;
    }


.text-bg-neutral {
    background-color: var(--saColorLightGray);
    color: var(--saColorNeutral700);
    border: 1px solid var(--saColorNeutral700);
    line-height: 1;
    display: flex;
    align-items: center;
}

    .text-bg-neutral .marker {
        border-radius: 50%;
        background-color: var(--saColorNeutral700);
        width: 12px;
        height: 12px;
        margin-right: 4px;
    }

.text-bg-info-light {
    background-color: var(--saColorSecondaryBlue100);
    color: var(--saColorSecondaryBlue600);
    border: 1px solid var(--saColorSecondaryBlue600);
    line-height: 1;
    display: flex;
    align-items: center;
}

    .text-bg-info-light .marker {
        border-radius: 50%;
        background-color: var(--saColorSecondaryBlue600);
        width: 12px;
        height: 12px;
        margin-right: 4px;
    }

.text-bg-info-dark {
    background-color: var(--saColorSecondaryBlue100);
    color: var(--saColorInformationDark);
    border: 1px solid var(--saColorInformationDark);
    line-height: 1;
    display: flex;
    align-items: center;
}

    .text-bg-info-dark .marker {
        border-radius: 50%;
        background-color: var(--saColorInformationDark);
        width: 12px;
        height: 12px;
        margin-right: 4px;
    }


.wQuickAction__container {
    padding: 24px;
    border-radius: 8px;
    margin-bottom: 32px;
}

.wSeu__tag {
    padding-top: 4px;
    padding-bottom: 4px;
    padding-left: 4px;
    padding-right: 8px;
    background: #fff;
    border-radius: 100px;
    display: inline-flex;
    justify-content: flex-start;
    align-items: center;
    gap: 4px;
    box-shadow: 0px 4px 6px -1px #00000014;
    margin-bottom: 8px;
}

.wSeu__tag-icon-wrapper {
    width: 21px;
    height: 21px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #24D07A;
    border-radius: 100%;
}

.wSeu__tag-icon {
    font-size: 10px;
    color: var(--saColorBrandBlack);
}

.wSeu__tag-count {
    color: var(--saColorBrandBlack);
    font-size: 14px;
    font-weight: 500;
    line-height: 1;
    letter-spacing: 0.25px;
}


/***  SEU's Circle */
.progress-circle {
    width: 242px;
    height: 242px;
    position: relative;
    background-color: #ffffff;
    border-radius: 50%;
    margin: 0 auto;
    padding: 12px;
}

    .progress-circle .circle-bg {
        fill: none;
        stroke: #e6e6e6;
        stroke-width: 20;
    }

    .progress-circle .circle {
        fill: none;
        stroke: #4CAF50;
        stroke-width: 19;
        stroke-linecap: butt;
        stroke-dasharray: 377; /* 2?r where r = 45 (radius of the circle) */
        stroke-dashoffset: 377;
        transition: stroke-dashoffset 0.5s ease;
        transform: rotate(-90deg); /* Rotate to start from the top (12 o'clock) */
        transform-origin: 50% 50%;
    }

    .progress-circle .percentage-text {
        font-size: 28px;
        letter-spacing: 0.25px;
        font-weight: 600;
        fill: var(--saFgBrandBlack);
        margin-bottom: 6px;
    }

    .progress-circle .additional-text {
        font-size: 10px;
        font-weight: 600;
        line-height: 20px;
        fill: var(--saFgBrandBlack);
    }
